# fconv

~~~
fconv: convertir un fichier ou les fichiers d'un répertoire

USAGE
    fconv -f FILE [cmds...]
    fconv FILE [cmds...]

Une ou plusieurs commandes peuvent être spécifiées, séparées par //
La commande par défaut est 'lf'
Si des commandes utilisant des options sont utilisées, penser à séparer les
options de fconv avec --

OPTIONS
    -N, --detect-always
        Pour la commande conv, ne pas optimiser le calcul de l'encoding. Cette
        option n'est valide que si src_enc n'est pas spécifié. On assume que
        tous les fichiers n'ont pas le même encoding: l'encoding src_enc est
        donc recalculé à chaque fois.
    -r, --reverse
        Pour la commande conv, inverser src_enc et dest_enc, qui doivent être
        tous les deux spécifiés.
    -f, --file FILE
        Spécifier le fichier ou le répertoire concerné par la conversion. Les
        aliases -d et --dir sont aussi reconnus.
        Si cette option n'est pas spécifiée, le premier argument est considéré
        comme le nom du fichier ou du répertoire à convertir. Par défaut,
        convertir l'entrée standard.
        Si un répertoire est spécifié, tous les fichiers de ce répertoire et de
        ses sous-répertoires sont recherchés de façon récursive, sans limite de
        profondeur. Ensuite, chacun de ces fichiers est converti.
    --show-cmd
        Afficher la commande qui serait exécutée

COMMANDES
    c, conv dest_enc [src_enc]
        Convertir le fichier dans un autre encoding.
        dest_enc est l'encoding destination. Il doit être spécifié.
        src_enc est l'encoding source. S'il n'est pas spécifié ou vaut 'detect',
            il est autodétecté.
    U, utf8 [src_enc]
        Equivalent à conv utf8 src_enc
    L, latin1 [src_enc]
        Equivalent à conv latin1 src_enc
    lf
    crlf
    cr
        Convertir respectivement les caractères de fin de ligne en LF, CR/LF ou CR
    lc, latin1compat
        Transformer certains caratères UTF-8 en équivalents qui existent en Latin1
    na, noaccents
        Transformer les caractères accentués en caractères non accentués
    sort [-u]
        Trier le fichier avec la commande sort. Attention! Il ne faut utiliser
        que les options de sort qui agissent sur un flux e.g. -u pour trier les
        lignes de façon unique.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary